This page was not yet optimized for use on mobile devices.
IOS Common Cryptographic Module (IC2M) Rel5
Certificate details
| Certificate ID | #2388 |
|---|---|
| Status | historical |
| Historical reason | SP 800-56Arev3 transition |
| Validation dates | 28.05.2015 , 20.11.2017 , 31.07.2018 , 01.07.2020 |
| Standard | FIPS 140-2 |
| Security level | 1 |
| Type | Firmware |
| Embodiment | Multi-Chip Stand Alone |
| Caveat | When operated in FIPS mode. No assurance of the minimum strength of generated keys |
| Exceptions |
|
| Description | The IC2M module provides the FIPS validated cryptographic algorithms for services requiring those algorithms. The module does not implement any protocols directly. Instead, it provides the cryptographic primitives and functions to allow IOS to implement those various protocols. |
| Version (Firmware) | Rel 5 |
| Tested configurations |
|
| Vendor | Cisco Systems, Inc. http://www.cisco.com |
| Lab | Acumen Security |
| Algorithms | |
| References | This certificate's webpage directly references 0 certificates, transitively this expands into 0 certificates. |
Security policy
Extracted keywords
Symmetric Algorithms
AES, RC2, RC4, DES, Triple-DES, HMAC, HMAC-SHA-256, HMAC-SHA-384, HMAC-SHA-512Asymmetric Algorithms
ECDH, ECDSA, ECC, DH, Diffie-HellmanHash functions
SHA-1, SHA-256, SHA-384, SHA-512, MD5Protocols
SSH, TLS, IKE, IPsecRandomness
DRBG, RNGElliptic Curves
P-256, P-384Block cipher modes
GCMVendor
Cisco, Cisco Systems, Cisco Systems, IncSecurity level
Level 1, level 1Standards
FIPS 140-2, FIPS PUB 140-2, FIPS 198, SP 800-90A, SP 800-108, NIST SP 800-131A, RFC 5246, RFC 4253, RFC 6071Automated analysis
Automated inference - use with caution
All attributes shown in this section (e.g., links between certificates, products, vendors, and known CVEs) are generated by automated heuristics and have not been reviewed by humans. These methods can produce false positives or false negatives and should not be treated as definitive without independent verification. This applies equally to the Cross-references section below. If you want to know more about how this data is computed and how reliable it is, see our documentation on automated analysis. If you believe any information here is inaccurate or harmful, please submit feedback.No automatically derived data are available in this section.
Cross-references
No references are available for this certificate.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate was first processed.
{
"_type": "sec_certs.sample.fips.FIPSCertificate",
"cert_id": 2388,
"dgst": "858a794b9a1df6e2",
"heuristics": {
"_type": "sec_certs.sample.fips.FIPSCertificate.Heuristics",
"algorithms": {
"_type": "Set",
"elements": [
"AES#4583",
"#3034",
"KTS#4583",
"#2338",
"#2500",
"ECDSA#1122",
"#1529",
"KBKDF#49",
"CVL#253",
"#1688",
"#481",
"#2361",
"#1257",
"SHS#2361",
"#1670",
"Triple-DES#1688",
"#2817",
"#1258",
"#1764",
"#1471",
"Triple-DES#1671",
"RSA#2500",
"HMAC#3034",
"ECDSA#493",
"AES#2817",
"#139",
"KBKDF#139",
"Triple-DES#2436",
"#493",
"HMAC#1764",
"#253",
"#252",
"#1671",
"#2783",
"#49",
"#3278",
"#2436",
"CVL#1258",
"DRBG#1592",
"SHS#2338",
"#3760",
"RSA#1471",
"#4583",
"DRBG#481",
"#1122",
"Triple-DES#1670",
"AES#2783",
"AES#3278",
"CVL#1257",
"CVL#252"
]
},
"cpe_matches": null,
"direct_transitive_cves": null,
"extracted_versions": {
"_type": "Set",
"elements": [
"5"
]
},
"indirect_transitive_cves": null,
"module_processed_references": {
"_type": "sec_certs.sample.certificate.References",
"directly_referenced_by": null,
"directly_referencing": null,
"indirectly_referenced_by": null,
"indirectly_referencing": null
},
"module_prunned_references": {
"_type": "Set",
"elements": []
},
"policy_processed_references": {
"_type": "sec_certs.sample.certificate.References",
"directly_referenced_by": null,
"directly_referencing": null,
"indirectly_referenced_by": null,
"indirectly_referencing": null
},
"policy_prunned_references": {
"_type": "Set",
"elements": []
},
"related_cves": null,
"verified_cpe_matches": null
},
"pdf_data": {
"_type": "sec_certs.sample.fips.FIPSCertificate.PdfData",
"br1_deviations": 45,
"br1_tables": null,
"is_br1_format": false,
"keywords": {
"asymmetric_crypto": {
"ECC": {
"ECC": {
"ECC": 1
},
"ECDH": {
"ECDH": 3
},
"ECDSA": {
"ECDSA": 7
}
},
"FF": {
"DH": {
"DH": 3,
"Diffie-Hellman": 6
}
}
},
"certification_process": {},
"cipher_mode": {
"GCM": {
"GCM": 3
}
},
"cplc_data": {},
"crypto_engine": {},
"crypto_library": {},
"crypto_protocol": {
"IKE": {
"IKE": 11
},
"IPsec": {
"IPsec": 6
},
"SSH": {
"SSH": 7
},
"TLS": {
"TLS": {
"TLS": 15
}
}
},
"crypto_scheme": {},
"device_model": {},
"ecc_curve": {
"NIST": {
"P-256": 8,
"P-384": 8
}
},
"eval_facility": {},
"fips_cert_id": {
"Cert": {
"#1257": 2,
"#252": 2,
"#3278": 1,
"#4583": 1
}
},
"fips_certlike": {
"Certlike": {
"AES (128": 3,
"AES 2817": 1,
"AES Cert. #3278": 1,
"AES Cert. #4583": 1,
"DRBG 481": 1,
"HMAC 1764": 1,
"HMAC 1764 and 3034": 1,
"HMAC SHA-1": 1,
"HMAC SHA-256": 1,
"HMAC-SHA-1": 16,
"HMAC-SHA-256": 4,
"HMAC-SHA-384": 2,
"HMAC-SHA-512": 2,
"RSA 1471": 1,
"SHA-1": 3,
"SHA-1, 256": 1,
"SHA-256": 3,
"SHA-384": 2,
"SHA-512": 2,
"SHS 2361": 1
}
},
"fips_security_level": {
"Level": {
"Level 1": 2,
"level 1": 3
}
},
"hash_function": {
"MD": {
"MD5": {
"MD5": 2
}
},
"SHA": {
"SHA1": {
"SHA-1": 4
},
"SHA2": {
"SHA-256": 3,
"SHA-384": 2,
"SHA-512": 2
}
}
},
"ic_data_group": {},
"javacard_api_const": {},
"javacard_packages": {},
"javacard_version": {},
"os_name": {},
"pq_crypto": {},
"randomness": {
"PRNG": {
"DRBG": 9
},
"RNG": {
"RNG": 2
}
},
"side_channel_analysis": {},
"standard_id": {
"FIPS": {
"FIPS 140-2": 14,
"FIPS 198": 1,
"FIPS PUB 140-2": 1
},
"NIST": {
"NIST SP 800-131A": 1,
"SP 800-108": 1,
"SP 800-90A": 8
},
"RFC": {
"RFC 4253": 1,
"RFC 5246": 1,
"RFC 6071": 1
}
},
"symmetric_crypto": {
"AES_competition": {
"AES": {
"AES": 13
},
"RC": {
"RC2": 2,
"RC4": 2
}
},
"DES": {
"3DES": {
"Triple-DES": 14
},
"DES": {
"DES": 3
}
},
"constructions": {
"MAC": {
"HMAC": 5,
"HMAC-SHA-256": 2,
"HMAC-SHA-384": 1,
"HMAC-SHA-512": 1
}
}
},
"tee_name": {},
"tls_cipher_suite": {},
"vendor": {
"Cisco": {
"Cisco": 51,
"Cisco Systems": 3,
"Cisco Systems, Inc": 10
}
},
"vulnerability": {}
},
"module_algorithms": {
"_type": "Set",
"elements": [
"AES#4583",
"KTS#4583",
"ECDSA#1122",
"KBKDF#49",
"CVL#253",
"SHS#2361",
"Triple-DES#1688",
"Triple-DES#1671",
"RSA#2500",
"HMAC#3034",
"ECDSA#493",
"AES#2817",
"KBKDF#139",
"Triple-DES#2436",
"HMAC#1764",
"CVL#1258",
"DRBG#1592",
"SHS#2338",
"RSA#1471",
"DRBG#481",
"Triple-DES#1670",
"AES#2783",
"AES#3278",
"CVL#1257",
"CVL#252"
]
},
"policy_algorithms": {
"_type": "Set",
"elements": [
"#3034",
"#2338",
"#2500",
"#1529",
"#1688",
"#481",
"#2361",
"#1257",
"#1670",
"#2817",
"#1258",
"#1764",
"#1471",
"#139",
"#493",
"#253",
"#252",
"#1671",
"#2783",
"#49",
"#3278",
"#2436",
"#3760",
"#4583",
"#1122"
]
},
"policy_metadata": {
"/Author": "Clint Winebrenner",
"/CreationDate": "D:20200612111826-04\u002700\u0027",
"/Creator": "Microsoft\u00ae Word for Microsoft 365",
"/ModDate": "D:20200612111826-04\u002700\u0027",
"/Producer": "Microsoft\u00ae Word for Microsoft 365",
"/Subject": "FIPS 140-2 Security Policy",
"/Title": "CISCO 831 Security Policy",
"pdf_file_size_bytes": 391016,
"pdf_hyperlinks": {
"_type": "Set",
"elements": [
"http://csrc.nist.gov/groups/STM/cmvp/validation.html",
"http://www.cisco.com/",
"http://csrc.nist.gov/groups/STM/index.html"
]
},
"pdf_is_encrypted": false,
"pdf_number_of_pages": 15
}
},
"state": {
"_type": "sec_certs.sample.fips.InternalState",
"module": {
"_type": "sec_certs.sample.document_state.DocumentState",
"convert_ok": true,
"download_ok": true,
"extract_ok": true,
"json_hash": null,
"source_hash": null,
"txt_hash": null
},
"policy": {
"_type": "sec_certs.sample.document_state.DocumentState",
"convert_ok": true,
"download_ok": true,
"extract_ok": true,
"json_hash": "f9bfb01b792a5407d97e609d4603356399c1ee5ac4e0b13fe1802e4215bc14d3",
"source_hash": "648c38910a79d5e9b6d10423b4f74ad7534ea6f04bf4550d2d8ab46a3f7fce5d",
"txt_hash": "01532fefe9e820ccd37332c02dcfb43b8fb6ad496940525e2862d2fe0c5978e1"
}
},
"web_data": {
"_type": "sec_certs.sample.fips.FIPSCertificate.WebData",
"caveat": "When operated in FIPS mode. No assurance of the minimum strength of generated keys",
"certificate_pdf_url": "https://csrc.nist.gov/CSRC/media/projects/cryptographic-module-validation-program/documents/certificates/FIPS140ConsolidatedCertList0053.pdf",
"date_sunset": null,
"description": "The IC2M module provides the FIPS validated cryptographic algorithms for services requiring those algorithms. The module does not implement any protocols directly. Instead, it provides the cryptographic primitives and functions to allow IOS to implement those various protocols.",
"embodiment": "Multi-Chip Stand Alone",
"exceptions": [
"Mitigation of Other Attacks: N/A",
"Tested: Cisco ASR1K RP2 with processor Intel Xeon on IOS XE3.13",
"Cisco ASR1K RP1 with processor Freescale SC8548H on IOS XE3.13",
"Cisco ISR 2951 with processor Freescale 8752E on IOS 15.4",
"Cisco ISR 1921 with processor Cavium CN5020 on IOS 15.4",
"Cisco ISR 2921 with processor Cavium CN5220 on IOS 15.4",
"Cisco ISR 891 with processor MPC8358E on IOS 15.4",
"ESR 5940 with processor MPC8572C on IOS 15.4"
],
"fw_versions": "Rel 5",
"historical_reason": "SP 800-56Arev3 transition",
"hw_versions": null,
"level": 1,
"mentioned_certs": {},
"module_name": "IOS Common Cryptographic Module (IC2M) Rel5",
"module_type": "Firmware",
"revoked_link": null,
"revoked_reason": null,
"standard": "FIPS 140-2",
"status": "historical",
"sw_versions": null,
"tested_conf": [
"Cisco ASR1K RP1 with processor Freescale SC8548H on IOS XE3.13",
"Cisco ASR1K RP1 with processor Intel Xeon on IOS 16.3.2",
"Cisco ASR1K RP2 with processor Intel Xeon on IOS XE3.13",
"Cisco Catalyst 3560CX with processor PPC 465 on IOS 15.2(4)E",
"Cisco Catalyst 3850 with processor MIPS64 on IOS-XE 16.3.2",
"Cisco Catalyst 4000 with SUP8LE with processor PPC e5500 on IOS-XE 3.90E",
"Cisco Catalyst 6000 with SUP6T with processor Intel Core i3 on IOS 15.4(1)SY1",
"Cisco Catalyst 6840 with processor Intel Pentium on IOS 15.4",
"Cisco Catalyst 6k with Sup2T with processor PPC e500 on IOS 15.4(1)SY1",
"Cisco IE2000 with processor PPC 405 on IOS 15.2(4)E",
"Cisco ISR 1921 with processor Cavium CN5020 on IOS 15.4",
"Cisco ISR 2921 with processor Cavium CN5220 on IOS 15.4",
"Cisco ISR 2951 with processor Freescale 8752E on IOS 15.4",
"Cisco ISR 4321 with processor Intel Atom on IOS 16.3.2",
"Cisco ISR 891 with processor MPC8358E on IOS 15.4",
"ESR 5940 with processor MPC8572C on IOS 15.4"
],
"validation_history": [
{
"_type": "sec_certs.sample.fips.FIPSCertificate.ValidationHistoryEntry",
"date": "2015-05-28",
"lab": "Acumen Security",
"validation_type": "Initial"
},
{
"_type": "sec_certs.sample.fips.FIPSCertificate.ValidationHistoryEntry",
"date": "2017-11-20",
"lab": "Acumen Security",
"validation_type": "Update"
},
{
"_type": "sec_certs.sample.fips.FIPSCertificate.ValidationHistoryEntry",
"date": "2018-07-31",
"lab": "Acumen Security",
"validation_type": "Update"
},
{
"_type": "sec_certs.sample.fips.FIPSCertificate.ValidationHistoryEntry",
"date": "2020-07-01",
"lab": "Acumen Security",
"validation_type": "Update"
}
],
"vendor": "Cisco Systems, Inc.",
"vendor_url": "http://www.cisco.com"
}
}